/*
 * Rubik's cube interface
 *
 * Copyright (C) 2007, 2008 Emmanuel Thome'
 * <Emmanuel dot Thome at normalesup dot org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef RUBIK_HPP_
#define RUBIK_HPP_

#include "manu.h"
#include "parser_base.hpp"
#include "cube.hpp"
#include "util.hpp"
#include "perm.hpp"
#include "sift.hpp"

extern sift_table<48> rubik_sift;

perm<48> corresp_54_to_48(const std::vector<int>& r);
std::vector<int> corresp_48_to_54(const perm<48> & t);

#endif	/* RUBIK_HPP_ */
